% Controle no linear
% Ex 1 - Plano de fase

% Autor: Fabrcio Brito

clear all;
close all;
clc;

figure;
hold on;

% Condies iniciais:
xi = [-3,1;-3,-1];

% Resoluo para a primeira condio inicial: x1 = -3 e x2 = 1
[ta,xa] = ode45('equacao',20,xi(1,:));
plot(xa(:,1),xa(:,2))

% Resoluo para a segunda condio inicial: x1 = -3 e x2 = -1
[tb,xb] = ode45('equacao',2,xi(2,:));
plot(xb(:,1),xb(:,2),'r')

% Pontos de equilbrio do sistema
plot(0,0,'k*');
plot(-3,0,'k*');

% Nomeia os eixos
xlabel('x1');
ylabel('x2');

% Estudo das variveis de estado em relao  variao temporal
% Primeira condio inicial: x1 = -3 e x2 = 1
figure;
hold on;
plot(ta,xa(:,1))
plot(ta,xa(:,2),':')
xlabel('Tempo (s)');
ylabel('Variveis de estado');
hleg1 = legend('x1','x2');

% Segunda condio inicial: x1 = -3 e x2 = -1
figure;
hold on;
plot(tb,xb(:,1),'r')
plot(tb,xb(:,2),'r:')
xlabel('Tempo (s)');
ylabel('Variveis de estado');
hleg1 = legend('x1','x2');